class AutoPPAError(Exception):
    """Base class for AutoPPA errors."""


class ChangelogError(AutoPPAError):
    """Raised when the changelog is saved without any changes."""


class EditorError(AutoPPAError):
    """Raised when the EDITOR environment variable isn't available."""


class BuildTargetError(AutoPPAError):
    """Raised when an invalid build target is used."""


class FileProcessingError(AutoPPAError):
    """Raised when a file processing error occurs."""
